(*

DO NOT CHANGE THIS SCRIPT! CREATE YOUR OWN VERSION AND SAVE IT WITH A DIFFERENT NAME! Thank you!

*)

on run (argv)
	
	(* Plausibility check *)
	if (count of argv) is less than 1 then return 1
	
	(* Get argument #1, should be the tempfile with the selected image urls *)
	set listOfSelectedFilePathsTempFile to first item of argv
	
	(* Get the file urls *)
	set listOfSelectedFilePathsString to readFile(listOfSelectedFilePathsTempFile)
	
	(* Walk through the urls *)
	set listOfSelectedFilePathsList to every paragraph of listOfSelectedFilePathsString
	repeat with oneURL in listOfSelectedFilePathsList
		set oldAST to AppleScript's text item delimiters
		set AppleScript's text item delimiters to "/"
		set elements to text items of oneURL
		set AppleScript's text item delimiters to oldAST
		set filename to last item of elements
		tell AppleScript to say filename
	end repeat
	
	return 0
end run


on readFile(unixPath)
	
	set foo to (open for access (POSIX file unixPath))
	
	set txt to (read foo for (get eof foo)) # as Unicode text
	
	close access foo
	
	return txt
	
end readFile
